<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Put_Item_Tag_ResponseType StructType
 * Meta information extracted from the WSDL
 * - documentation: The put item tag response element.
 * @subpackage Structs
 */
class Put_Item_Tag_ResponseType extends AbstractStructBase
{
    /**
     * The Item_Tag_Reference
     * Meta information extracted from the WSDL
     * - documentation: Item Tag Reference
     * - minOccurs: 0
     * @var \StructType\Item_TagObjectType
     */
    public $Item_Tag_Reference;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - ref: wd:version
     * @var string
     */
    public $version;
    /**
     * Constructor method for Put_Item_Tag_ResponseType
     * @uses Put_Item_Tag_ResponseType::setItem_Tag_Reference()
     * @uses Put_Item_Tag_ResponseType::setVersion()
     * @param \StructType\Item_TagObjectType $item_Tag_Reference
     * @param string $version
     */
    public function __construct(\StructType\Item_TagObjectType $item_Tag_Reference = null, $version = null)
    {
        $this
            ->setItem_Tag_Reference($item_Tag_Reference)
            ->setVersion($version);
    }
    /**
     * Get Item_Tag_Reference value
     * @return \StructType\Item_TagObjectType|null
     */
    public function getItem_Tag_Reference()
    {
        return $this->Item_Tag_Reference;
    }
    /**
     * Set Item_Tag_Reference value
     * @param \StructType\Item_TagObjectType $item_Tag_Reference
     * @return \StructType\Put_Item_Tag_ResponseType
     */
    public function setItem_Tag_Reference(\StructType\Item_TagObjectType $item_Tag_Reference = null)
    {
        $this->Item_Tag_Reference = $item_Tag_Reference;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \StructType\Put_Item_Tag_ResponseType
     */
    public function setVersion($version = null)
    {
        // validation for constraint: string
        if (!is_null($version) && !is_string($version)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($version, true), gettype($version)), __LINE__);
        }
        $this->version = $version;
        return $this;
    }
}
